## tomcat8.0 8.0.46

=== debian/changelog ===
tomcat8.0 (8.0.46-1) unstable; urgency=medium

  * Initial packaging. (Closes: #876115)

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 01 Oct 2017 12:26:16 +0300
