=== debian/control ===
Source: tomcat8.0
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: ant-optional,
               debhelper (>= 10),
               default-jdk,
               po-debconf
Build-Depends-Indep: javahelper,
                     junit4 (>= 4.11),
                     libcglib-nodep-java,
                     libeasymock-java (>= 3.0),
                     libecj-java (>= 3.11.0),
                     libhamcrest-java (>= 1.3),
                     libtaglibs-standard-spec-java,
                     libtaglibs-standard-impl-java,
                     libobjenesis-java,
                     lsb-release,
                     maven-repo-helper
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-java/tomcat8.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/tomcat8.git
Homepage: http://tomcat.apache.org

Package: tomcat8.0-user
Architecture: all
Depends: netcat,
 default-jre-headless | java7-runtime-headless | java7-runtime,
 libtomcat8.0-java (>= ${source:Version}),
 ${misc:Depends}
Conflicts:
 tomcat8-common,
 tomcat8-user,
Description: Apache Tomcat 8.0 - Servlet and JSP engine -- tools to create user instances
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains files needed to create a user Tomcat instance.
 This user Tomcat instance can be started and stopped using the scripts
 provided in the Tomcat instance directory.

Package: libtomcat8.0-java
Architecture: all
Depends:
 libecj-java (>= 3.11.0),
 ${misc:Depends}
Recommends:
 libcommons-dbcp-java,
 libcommons-pool-java,
Conflicts:
 libtomcat8-java,
Description: Apache Tomcat 8.0 - Servlet and JSP engine -- core libraries
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the Tomcat core classes which can be used by other
 Java applications to embed Tomcat.
