=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME := /usr/lib/jvm/default-java

BLDLIB    := output/build/lib
VERSION   := $(shell dpkg-parsechangelog --show-field Version | sed 's/-[^-]*$$//' | sed 's/~/-/')
DATE      := $(shell dpkg-parsechangelog --show-field Date)
ANT       := ant -propertyfile debian/ant.properties \
             -Dyear=$(shell date --date='$(DATE)' --utc +'%Y') \
             -Dtoday='$(shell LC_ALL=C date --date='$(DATE)' --utc +'%b %-d %Y')' \
             -Dtoday-iso-8601=$(shell date --date='$(DATE)' --utc +'%F') \
             -Dtstamp=$(shell date --date='$(DATE)' --utc +%H:%M:%S) \
             -Ddistribution.name=$(shell lsb_release -si)

%:
	dh $@

override_dh_auto_build:
	$(ANT) extras-jmx-remote deploy

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p webapps/examples/WEB-INF/lib
	cp /usr/share/java/taglibs-standard-spec.jar webapps/examples/WEB-INF/lib/
	cp /usr/share/java/taglibs-standard-impl.jar webapps/examples/WEB-INF/lib/
	$(ANT) test
endif

override_dh_install-indep:
	dh_install -i --exclude=.bat --exclude=Thumbs.db
	
	# Prepare and install the Maven artifacts
	mkdir -p debian/poms
	cp res/maven/*.pom debian/poms
	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/$(VERSION)/' debian/poms/*.pom
	mh_install
	
	# Install catalina-storeconfig.jar (no pom available)
	mv $(BLDLIB)/catalina-storeconfig.jar $(BLDLIB)/tomcat8-catalina-storeconfig-$(VERSION).jar
	dh_install -plibtomcat8.0-java $(BLDLIB)/tomcat8-catalina-storeconfig-$(VERSION).jar      usr/share/java
	dh_link -plibtomcat8.0-java    usr/share/java/tomcat8-catalina-storeconfig-$(VERSION).jar usr/share/java/tomcat8-catalina-storeconfig.jar
	
	jh_manifest

override_dh_auto_clean:
	dh_auto_clean
	-$(ANT) clean
	rm -rf "output/"
	rm -rf webapps/examples/WEB-INF/lib/*.jar
	rm -f modules/jdbc-pool/output/resources/MANIFEST.MF
	rm -rf debian/tomcat8.0.postrm debian/poms
	mh_clean

get-orig-source:
	-uscan --force-download --rename
